Subject: Re: bug#73247: Move Android frame parameter documentation to elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 16:52:56 +0300

> Cc: Po Lu <[email-masked]>
> From: Stefan Kangas <[email-masked]>
> Date: Sat, 14 Sep 2024 05:39:10 -0700
> 
> Severity: wishlist
> 
> The only index entry we have for "frame parameters" in the emacs manual
> is "frame parameters, android".  Since frame parameters are documented
> in the elisp manual for other platforms, I think we should consider
> moving this part from (info "(emacs) Android Windowing"):
> 
> >    Emacs only supports a limited subset of GUI features on Android; the
> > limitations are as follows:
> >
> >    • Scroll bars are not supported, as they are close to useless on
> >      Android devices.
> >
> >    • The ‘alpha’, ‘alpha-background’, ‘z-group’, ‘override-redirect’,
> >      ‘mouse-color’, ‘title’, ‘wait-for-wm’, ‘sticky’, and ‘undecorated’
> >      frame parameters (*note (elisp)Frame Parameters::) are unsupported.
> >
> >    • On Android 4.0 and earlier, the ‘fullscreen’ frame parameter is
> >      always ‘maximized’ for top-level frames; on later versions of
> >      Android, it can also be ‘fullscreen’.

Why is this in the user manual?  Frame parameters are Lisp-level
feature, and are fully documented in the ELisp manual.  Are there any
reasons not to move this there, as a separate subsection?